Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class DisplayNameInfo

    java.lang.Object
      jet.api.DisplayNameInfo

    public class DisplayNameInfo

extends java.lang.Object

Constructor Summary
`DisplayNameInfo(java.lang.String resourceName)`
`DisplayNameInfo(java.lang.String resourceName, java.lang.String displayName, boolean sort, boolean filter, boolean drill, boolean search)`
`DisplayNameInfo(java.lang.String resourceName, java.lang.String displayName, boolean sort, boolean filter, boolean drill, boolean search, boolean formulaed)`

Method Summary
`java.lang.String` | `getDisplayName()`
`java.lang.String` | `getResourceName()`
`boolean` | `isDrill()`
`boolean` | `isFilter()`
`boolean` | `isFormulaed()`
`boolean` | `isSearch()`
`boolean` | `isSort()`
`void` | `setDisplayName(java.lang.String displayName)`
`void` | `setDrill(boolean drill)`
`void` | `setFilter(boolean filter)`
`void` | `setFormulaed(boolean formulaed)`
`void` | `setGroupSort(java.lang.String groupName, boolean sortOn)`
`void` | `setSearch(boolean search)`
`void` | `setSort(boolean sort)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DisplayNameInfo

    public DisplayNameInfo(java.lang.String resourceName,
                           java.lang.String displayName,
                           boolean sort,
                           boolean filter,
                           boolean drill,
                           boolean search)

Parameters:
  `resourceName` - resource name.
  `displayName` - display name.
  `sort` - whether show in sort list.
  `filter` - whether show in filter list.
  `drill` - whether show in drill list.
  `search` - whether show in search list.

### DisplayNameInfo

    public DisplayNameInfo(java.lang.String resourceName,
                           java.lang.String displayName,
                           boolean sort,
                           boolean filter,
                           boolean drill,
                           boolean search,
                           boolean formulaed)

Parameters:
  `resourceName` - resource name.
  `displayName` - display name.
  `sort` - whether show in sort list.
  `filter` - whether show in filter list.
  `drill` - whether show in drill list.
  `search` - whether show in search list.
  `formulaed` - whether control by a formula.

### DisplayNameInfo

    public DisplayNameInfo(java.lang.String resourceName)

Parameters:
  `resourceName` - resource name.

Method Detail

### getDisplayName

    public java.lang.String getDisplayName()

  Returns:
    Returns the displayName.

### setDisplayName

    public void setDisplayName(java.lang.String displayName)

  Parameters:
    `displayName` - The displayName to set.

### isDrill

    public boolean isDrill()

  Returns:
    Returns the drill.

### setDrill

    public void setDrill(boolean drill)

  Parameters:
    `drill` - The drill to set.

### isFilter

    public boolean isFilter()

  Returns:
    Returns the filter.

### setFilter

    public void setFilter(boolean filter)

  Parameters:
    `filter` - The filter to set.

### isSearch

    public boolean isSearch()

  Returns:
    Returns the search.

### setSearch

    public void setSearch(boolean search)

  Parameters:
    `search` - The search to set.

### isSort

    public boolean isSort()

  Returns:
    Returns the sort.

### setSort

    public void setSort(boolean sort)

  Parameters:
    `sort` - The sort to set.

### getResourceName

    public java.lang.String getResourceName()

  Returns:
    Returns the resourceName.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### isFormulaed

    public boolean isFormulaed()

  Returns:
    Returns the formulaed.

### setFormulaed

    public void setFormulaed(boolean formulaed)

  Parameters:
    `formulaed` - The formulaed to set.

### setGroupSort

    public void setGroupSort(java.lang.String groupName,
                             boolean sortOn)

  Parameters:
    `groupName` - The group name.
    `sortOn` - true or false, whether sort by groupName.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD